// Pecon7
// 10-26-12
// Setexpression event for skull bricks and Pumpkins.

%error = ForceRequiredAddOn( "Brick_Halloween" );

if( %error == $Error::AddOn_NotFound )
{
	error( "Brick Halloween : Required add-on not found! Will not execute." );
	return;
}

Registeroutputevent(fxDTSBrick, setSkullExpression, "list Normal 0 Angry 1 Sad 2 Murray 3 Cool 4", 0);

function fxDTSBrick::SetSkullexpression(%this, %expression)
{
	if(getword(%this.getdatablock().uiname, 0) $= "Skull")
	{
		switch(%expression)
		{
			case 0: %this.setdatablock(brickSkullData); 
			case 1: %this.setdatablock(brickSkullAngryData); 
			case 2: %this.setdatablock(brickSkullSadData); 
			case 3: %this.setdatablock(brickSkullMurrayData);
			case 4: %this.setdatablock(brickSkullCoolData);
		}
	}
}

Registeroutputevent(fxDTSBrick, setPumpkinExpression, "list Normal 0 Happy 1 Scared 2 Ascii 3", 0);

function fxDTSBrick::SetPumpkinexpression(%this, %expression)
{
	%data = getSubStr(%this.getdatablock().getname(), 0, 12);
	//echo(%data);
	if(%data $= "brickPumpkin")
	{
		switch(%expression)
		{
			case 0: %this.setdatablock(brickPumpkinBaseData); 
			case 1: %this.setdatablock(brickPumpkinFaceData); 
			case 2: %this.setdatablock(brickPumpkinScaredData); 
			case 3: %this.setdatablock(brickPumpkinAsciiData); 
		}
	}
}